summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Gilbride <mattgilbride@google.com>2022-12-09 23:40:30 +0000
committerAutomerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>2022-12-09 23:40:30 +0000
commit5a868f9d266c0588985030584db856a336f04847 (patch)
tree1026232ba6ac5ede8c21c540c2063e7b8aecee99
parentab94c7d081cf3f69b4fb67fa50d010cb3d54fd7c (diff)
parent472097fff2424b5e3469aaa0d03f5ad40c8e2945 (diff)
downloadcmdline-tools-5a868f9d266c0588985030584db856a336f04847.tar.gz
Merge "Add update-android-global-lint-checker.sh script" am: 472097fff2
Original change: https://android-review.googlesource.com/c/platform/prebuilts/cmdline-tools/+/2320692 Change-Id: Ie2121522a0456886836a681af63e6ca6d0bd40ed Signed-off-by: Automerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>
-rwxr-xr-xupdate-android-global-lint-checker.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/update-android-global-lint-checker.sh b/update-android-global-lint-checker.sh
new file mode 100755
index 0000000..1882dce
--- /dev/null
+++ b/update-android-global-lint-checker.sh
@@ -0,0 +1,41 @@
+#!/bin/bash -e
+
+# Copyright 2022 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z $1 ]; then
+ echo "usage: $0 <build number>"
+ exit 1
+fi
+
+readonly BUILD_NUMBER=$1
+
+cd "$(dirname $0)"
+
+if ! git diff HEAD --quiet; then
+ echo "must be run with a clean prebuilts/build-tools project"
+ exit 1
+fi
+
+/google/data/ro/projects/android/fetch_artifact \
+ --bid ${BUILD_NUMBER} \
+ --target aosp_arm64-userdebug \
+ AndroidGlobalLintChecker.jar
+
+git add AndroidGlobalLintChecker.jar
+git commit -m "Update AndroidGlobalLintChecker to ab/${BUILD_NUMBER}
+
+https://ci.android.com/builds/submitted/${BUILD_NUMBER}/aosp_arm64-userdebug/latest
+
+Test: treehugger"